# $Revision: 1.28 $, $Date: 2007/02/12 21:23:53 $
# TODO:
# - use XML ISO entities from sgml-common
Summary:	XML/SGML DocBook DTD 4.1.2
Summary(pl.UTF-8):	XML/SGML DocBook DTD 4.1.2
%define ver	4.1.2
%define sver	412
Name:		docbook-dtd%{sver}-xml
Version:	1.0
Release:	13
License:	Free
Group:		Applications/Publishing/XML
URL:		http://www.oasis-open.org/docbook/
Source0:	http://www.oasis-open.org/docbook/xml/%{ver}/docbkx%{sver}.zip
# Source0-md5:	0d5a4a999a2d7b2e77a46bd069301caf
BuildRequires:	unzip
BuildRequires:	rpm-build >= 4.0.2-94
PreReq:		libxml2
PreReq:		sgml-common
Requires(post,preun):	/usr/bin/xmlcatalog
Requires(post,preun):	/usr/bin/install-catalog
Requires:	libxml2-progs >= 2.4.17-6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define	dtd_path		%{_datadir}/sgml/docbook/xml-dtd-%{ver}
%define	xmlcat_file		%{dtd_path}/catalog.xml
%define	sgmlcat_file		%{dtd_path}/catalog

%description
DocBook is an XML/SGML vocabulary particularly well suited to books
and papers about computer hardware and software (though it is by no
means limited to only these applications).

%description -l pl.UTF-8
DocBook DTD jest zestawem definicji dokumentów XML/SGML przeznaczonych
do tworzenia dokumentacji technicznej. Stosowany jest do pisania
podręczników systemowych, instrukcji jak i wielu innych ciekawych
rzeczy.

%prep
%setup -q -c
chmod -R a+rX *

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dtd_path}

install *.{dtd,mod} $RPM_BUILD_ROOT%{dtd_path}
cp -a ent $RPM_BUILD_ROOT%{dtd_path}

%docbook_sgmlcat_fix $RPM_BUILD_ROOT%{sgmlcat_file} %{ver}

grep -v 'ISO ' docbook.cat >> $RPM_BUILD_ROOT%{sgmlcat_file}

%xmlcat_create $RPM_BUILD_ROOT%{xmlcat_file}

%xmlcat_add_rewrite \
	http://www.oasis-open.org/docbook/xml/%{ver} \
	file://%{dtd_path} \
	$RPM_BUILD_ROOT%{xmlcat_file}

grep PUBLIC docbook.cat|grep -v ISO | \
sed 's/^/xmlcatalog --noout --add /;s/PUBLIC/public/;s=$= '$RPM_BUILD_ROOT'/%{xmlcat_file}=' | sh

%clean
rm -rf $RPM_BUILD_ROOT

%post
if ! grep -q /etc/sgml/xml-docbook-%{ver}.cat /etc/sgml/catalog ; then
	%sgmlcat_add /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}

fi
if ! grep -q %{dtd_path}/catalog.xml /etc/xml/catalog ; then
	%xmlcat_add %{xmlcat_file}

fi

%preun
if [ "$1" = "0" ] ; then
	%sgmlcat_del /etc/sgml/xml-docbook-%{ver}.cat %{sgmlcat_file}

	%xmlcat_del %{xmlcat_file}

fi

%files
%defattr(644,root,root,755)
%doc *.txt ChangeLog
%{dtd_path}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: docbook-dtd412-xml.spec,v $
Revision 1.28  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.27  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.26  2005/04/18 17:04:48  mmazur
- rel 13 for th

Revision 1.25  2004/04/26 14:44:18  adamg
- release 12 for Ac (11 is for Ra)

Revision 1.24  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.23  2003/05/25 05:46:53  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2002/12/31 11:16:21  gotar
- cut off Vendor, cosmetics

Revision 1.21  2002/11/05 15:10:38  ankry
- fix %%docbook_sgmlcat_fix use, rel. 11

Revision 1.20  2002/10/06 17:46:10  wrobell
- s/dtdpath/dtd_path/

Revision 1.19  2002/10/06 14:56:46  qboosh
- fixed typo - now rewriteSystem rule is added
- release 10

Revision 1.18  2002/09/30 23:28:06  ankry
- BR: rpm-build >= 4.0.2-94 (for macro definitions)
- s/sgmlcat_fix/docbook_sgmlcat_fix/ - this macro is really defined

Revision 1.17  2002/09/28 10:38:59  aflinta
- tons of typos fixes

Revision 1.16  2002/09/27 13:19:52  wrobell
- use sgml macros
- rel. 9

Revision 1.15  2002/09/11 08:56:57  qboosh
- more requires; release 8

Revision 1.14  2002/09/10 14:00:13  kloczek
- release 7.

Revision 1.13  2002/09/10 13:59:42  kloczek
- spec adapterized.

Revision 1.12  2002/09/10 08:12:13  wrobell
- summaries and description changed

Revision 1.11  2002/09/06 08:47:17  wiget
- finished

Revision 1.10  2002/09/06 08:00:14  wiget
- release 6
- XML catalog support
- use OVERRIDE YES in SGML catalog
- new %%doc
- (un)register in centralized catalogs only if needed

Revision 1.9.2.3  2002/08/31 15:56:06  qboosh
- Requires(post,postun): /usr/bin/xmlcatalog

Revision 1.9.2.2  2002/08/16 14:42:04  wolf
- P: %%{name}-xmlcatalog
- rel 5

Revision 1.9.2.1  2002/05/26 01:08:03  wrobell
- SGML Catalog replaced with XML Catalogs support
- new %%doc support
- rel. 4

Revision 1.9  2002/04/25 16:12:49  arturs
fixed a small typo

Revision 1.8  2002/02/23 01:58:08  kloczek
- adapterized.

Revision 1.7  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/22 10:58:05  klakier
- updated opensp hack

Revision 1.5  2002/01/18 02:12:44  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.4  2001/02/25 11:59:02  klakier
- rel 2

Revision 1.3  2001/02/24 16:47:04  klakier
- added catalog hacks for opensp

Revision 1.2  2001/02/21 23:25:31  kloczek
- unzip added to BuildRequires.

Revision 1.1  2001/02/15 15:10:39  klakier
- rel 1
